Summary: A collection of high-quality printer drivers.
Name: gimp-print
Version: 4.2.1
Release: 5
License: GPL
Group: System Environment/Libraries
URL: http://gimp-print.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0: gimp-print-4.2.1-no-kitload.patch
Patch1: gimp-print-4.2.1-ijsparam.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: ghostscript-devel

%description
These drivers provide printing quality for UNIX/Linux in many cases equal
to or better than proprietary vendor-supplied drivers, and can be used for
many of the most demanding printing tasks.

%package devel
Summary: Files for developing applications that use gimp-print.
Requires: %{name} = %{version}
Group: Development/Libraries

%description devel
The header files, static library, libtool library and man pages for
developing applications that use gimp-print.

%package utils
Summary: Utility programs from gimp-print
Requires: %{name} = %{version}
Group: Applications/Publishing

%description utils
This package contains the escputil program.

%package -n gimp-print-cups
Summary: CUPS drivers for Canon, Epson, HP and compatible printers
Requires: cups >= 1.1.12
Group: Applications/Publishing

%description -n gimp-print-cups
gimp-print-cups provides native CUPS support for a wide range of Canon,
Epson, HP and compatible printers.

%prep
%setup -q
%patch0 -p1 -b .no-kitload
%patch1 -p1 -b .ijsparam

%build
%configure --with-ijs --with-foomatic --with-cups --without-gimp --without-ghost
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
%makeinstall cups_prefix=%{buildroot}%{_prefix} \
	cups_exec_prefix=%{buildroot}%{_exec_prefix} \
	cups_bindir=%{buildroot}%{_bindir} \
	cups_conf_datadir=%{buildroot}%{_datadir}/cups \
	cups_conf_serverbin=%{buildroot}%{_libdir}/cups \
	cups_conf_serverroot=%{buildroot}%{_sysconfdir}/cups
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING
%{_libdir}/*.so.*
%{_infodir}/gimpprint*
%{_datadir}/gimp-print
%{_bindir}/ijsgimpprint

%files utils
%defattr(-,root,root)
%{_bindir}/escputil
%{_mandir}/man1/escputil.1*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_bindir}/gimpprint-config
%{_mandir}/man1/gimpprint-config.1*
%{_mandir}/man3/*
%{_datadir}/aclocal/gimpprint.m4

%files cups
%defattr(-,root,root)
%{_mandir}/man8/cups-calibrate.8*
%{_libdir}/cups/backend/*
%{_libdir}/cups/filter/*
%{_bindir}/cups-calibrate
%{_datadir}/cups/calibrate.ppm
%dir %{_datadir}/cups/model/*
%{_datadir}/cups/model/*/*
%config %{_sysconfdir}/cups/*

%post
/sbin/ldconfig
/sbin/install-info /usr/share/info/gimpprint.info.gz /usr/share/info/dir

%postun
/sbin/ldconfig
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/share/info/gimpprint.info.gz /usr/share/info/dir
fi

%post -n gimp-print-cups
/sbin/install-info /usr/share/info/gimpprint.info.gz /usr/share/info/dir
/sbin/ldconfig

%preun -n gimp-print-cups
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/share/info/gimpprint.info.gz /usr/share/info/dir
fi

%postun -n gimp-print-cups
if [ "$1" -ge "1" ]; then
  /sbin/service cups condrestart >/dev/null 2>&1
fi
/sbin/ldconfig

%changelog
* Thu Jul 18 2002 Tim Waugh <twaugh@redhat.com> 4.2.1-5
- Make the cups package own some directories.

* Tue Jul 16 2002 Tim Waugh <twaugh@redhat.com> 4.2.1-4
- Fix PS:Duplex problems.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 4.2.1-3
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com> 4.2.1-2
- automated rebuild

* Mon May 20 2002 Tim Waugh <twaugh@redhat.com> 4.2.1-1
- Enable IJS support.

* Mon May 20 2002 Tim Waugh <twaugh@redhat.com> 4.2.1-0.1
- Initial package.
